<template>
	<view >
		<!-- <uni-forms ref="formData" :modelValue="formData" label-width="120"> -->
		<uni-forms class="customcss" label-width="120">
			<uni-forms-item label="条码信息">
				<uni-easyinput type="text" :focus="!barcodefocus" v-model="barcode" placeholder="请扫描托盘条码或小火车条码" ref='midInput'
					@input="locationNoinputChange()" />
			</uni-forms-item>
		</uni-forms>
		<uni-list class="footer">
			<uni-list-item direction="column" v-for="(item,index) in infos" :key="index">
				<template v-slot:body>
					<view class="uni-list-box">
						<view class="uni-content">
							<view class="uni-title-sub uni-ellipsis-2">物料编号：{{item.matCode}}</view>
							<view class="uni-title-sub uni-ellipsis-2">物料名称：{{item.matName}}</view>
							<view class="uni-title-sub uni-ellipsis-2">托盘号：{{item.barcode}}</view>
							<view class="uni-title-sub uni-ellipsis-2">出库数量：{{item.quantity}}</view>
							<view class="uni-title-sub uni-ellipsis-2">配送地址：{{item.address}}</view>
							<view class="uni-title-sub uni-ellipsis-2">当前位置：{{item.currentAddress}}</view>
						</view>
					</view>
				</template>
			</uni-list-item>
		</uni-list>

		<u-toast ref="uToast" />
	</view>
</template>

<script>
	export default {
		data() {
			return {
				infos: [],
				barcode: '',
				barcodefocus: false,
			}
		},
		onLoad(res) {
		},
		methods: {
			locationNoinputChange() {
				this.$nextTick(function(x) {
					if (this.barcode != '') {
						var postData = {
							MainData: {
								"barcode": this.barcode
							}
						};
						this.$u.post('/api/Carry/GetCarryInfo', postData).then(res => {
							if (res.status) {
								this.infos = res.data
							} else {
								this.$refs.uToast.show({
									title: res.message,
									type: "error"
								})
							}
							this.barcode = "";
						})
						this.istrue = true;
					}
				})
			}
		}
	}
</script>

<style lang="scss">
	@import '@/common/uni-ui.scss';

	page {
		display: flex;
		flex-direction: column;
		box-sizing: border-box;
		background-color: #efeff4;
		min-height: 100%;
		height: auto;
	}

	.tips {
		color: #67c23a;
		font-size: 14px;
		line-height: 40px;
		text-align: center;
		background-color: #f0f9eb;
		height: 0;
		opacity: 0;
		transform: translateY(-100%);
		transition: all 0.3s;
	}

	.tips-ani {
		transform: translateY(0);
		height: 40px;
		opacity: 1;
	}

	.content {
		width: 100%;
		display: flex;
	}

	.list-picture {
		width: 100%;
		height: 145px;
	}

	.thumb-image {
		width: 100%;
		height: 100%;
	}

	.ellipsis {
		display: flex;
		overflow: hidden;
	}

	.uni-ellipsis-1 {
		overflow: hidden;
		white-space: nowrap;
		text-overflow: ellipsis;
	}

	.uni-ellipsis-2 {
		overflow: hidden;
		text-overflow: ellipsis;
		display: -webkit-box;
		-webkit-line-clamp: 2;
		-webkit-box-orient: vertical;
	}

	.customcss {
		background-color: #fff;
		padding: 20rpx 40rpx;
		width: 100%;
	}

	.footer {
		// padding-top: 20%;
	}
</style>
